Subject: [MMUSIC] RFC 4566bis - issue 3 - misleading text / inconsistency + typo (missing article)

From: Colin Perkins <[email-masked]>
Date: Mon, 14 Jul 2008 23:55:21 +0100

On 10 Nov 2006, at 00:10, Alfred HÎnes wrote:
> (3)  misleading text / inconsistency + typo (missing article)
>
> Still in Section 5, the second-to-last paragraph on page 8 of RFC 4566
> says:
>
>    An SDP session description consists of a session-level section
>    followed by zero or more media-level sections.  The session-level
>    part starts with a "v=" line and continues to the first media-level
> |  section.  Each media-level section starts with an "m=" line and
> |  continues to the next media-level section or end of the whole  
> session
>    description.  In general, session-level values are the default for
>    all media unless overridden by an equivalent media-level value.
>
> The second sentence does not accomodate for an important corner case
> mentioned in the first sentence, and thus should be amended with
> similar wording as below. The third sentence is imprecise as well,
> because the "or" does not uniquely select the 'right' condition.
>
> It should better say:
>
>    An SDP session description consists of a session-level section
>    followed by zero or more media-level sections.  The session-level
>    part starts with a "v=" line and continues to the first media-level
> |  section (or the end of the whole description, whichever comes  
> first).
>    Each media-level section starts with an "m=" line and continues to
> |  the next media-level section or the end of the whole session
> |  description - whichever comes first.  In general, session-level
>    values are the default for all media unless overridden by an
>    equivalent media-level value.

This looks to be a valid, if minor, issue. I propose to adopt the  
change.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic